Qt Reference Documentation

# QHelpSearchQueryWidget Class Reference

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

     #include <QHelpSearchQueryWidget>

Inherits: QWidget.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| QHelpSearchQueryWidget ( QWidget * parent = 0 )
| ~QHelpSearchQueryWidget ()
void | collapseExtendedSearch ()
void | expandExtendedSearch ()
QList<QHelpSearchQuery> | query () const
void | setQuery ( const QList<QHelpSearchQuery> & queryList )

- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Signals

void | search ()

- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask.

## Member Function Documentation

### QHelpSearchQueryWidget::QHelpSearchQueryWidget ( QWidget * parent = 0 )

Constructs a new search query widget with the given parent.

### QHelpSearchQueryWidget::~QHelpSearchQueryWidget ()

Destroys the search query widget.

### void QHelpSearchQueryWidget::collapseExtendedSearch ()

Collapses the search query widget so that only the default search field is shown.

This function was introduced in Qt 4.8.

### void QHelpSearchQueryWidget::expandExtendedSearch ()

Expands the search query widget so that the extended search fields are shown.

This function was introduced in Qt 4.8.

### QList<QHelpSearchQuery> QHelpSearchQueryWidget::query () const

Returns a list of queries to use in combination with the search engines search(QList<QHelpSearchQuery> &queryList) function.

See also setQuery().

### void QHelpSearchQueryWidget::search ()`[signal]`

This signal is emitted when a the user has the search button invoked. After reciving the signal you can ask the QHelpSearchQueryWidget for the build list of QHelpSearchQuery's that you may pass to the QHelpSearchEngine's search() function.

### void QHelpSearchQueryWidget::setQuery ( const QList<QHelpSearchQuery> & queryList )

Sets the QHelpSearchQueryWidget input fields to the values specified by queryList search field name. Please note that one has to call the search engine's search(QList<QHelpSearchQuery> &queryList) function to perform the actual search.

This function was introduced in Qt 4.8.

See also query().